Package io.vertx.core.parsetools

## Enum JsonEventType

- java.lang.Object
- - java.lang.Enum<JsonEventType>
  - - io.vertx.core.parsetools.JsonEventType

- All Implemented Interfaces:
    `Serializable`, `Comparable<JsonEventType>`

      public enum JsonEventType
      extends Enum<JsonEventType>

  The possibles types of `JsonEvent` emitted by the `JsonParser`.
  Author:
    Julien Viet

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `END_ARRAY` | Signals the end of a JSON array.
    `END_OBJECT` | Signals the end of a JSON object.
    `START_ARRAY` | Signals the start of a JSON array.
    `START_OBJECT` | Signals the start of a JSON object.
    `VALUE` | Signals a JSON value.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JsonEventType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static JsonEventType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_OBJECT

          public static final JsonEventType START_OBJECT

      Signals the start of a JSON object.

    - #### END_OBJECT

          public static final JsonEventType END_OBJECT

      Signals the end of a JSON object.

    - #### START_ARRAY

          public static final JsonEventType START_ARRAY

      Signals the start of a JSON array.

    - #### END_ARRAY

          public static final JsonEventType END_ARRAY

      Signals the end of a JSON array.

    - #### VALUE

          public static final JsonEventType VALUE

      Signals a JSON value.

  - ### Method Detail

    - #### values

          public static JsonEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonEventType c : JsonEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonEventType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null